Summary: GNOME Clipboard Manager
Name: gcm
Version: 2.0.4
Release: 1
Epoch: %(date +%Y%m%d%H)
License: GPL
Group: X11/Utilities
URL: http://gcm.sourceforge.net/

Source: ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
Vendor: %{packager}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

BuildRequires: libgnomeui-devel >= 1.96.0 GConf2-devel >= 1.0.8
BuildRequires: gtkhtml2-devel >= 2.0 libxml2-devel >= 2.0

%description
GNOME Clipboard Manager is a selection and clipboard manager.

It collects copy-selections and has the option to choose which selection is
to be pasted. Selections can be edited, manually created, deleted, copied,
and pasted. The available selection types are clipboard, primary, secondary,
or a custom atom.

%package devel
Summary: GNOME Clipboard Manager development files

Group: X11/Libraries
Requires: gcm = %{version}

%description devel
This package contains de header-files and static libraries for
GNOME Clipboard Manager development.

%prep
%setup

%build
if [ ! -x configure ]; then
	./autogen.sh
fi
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
rm -rf %{buildroot}%{prefix}/doc/
rm -rf %{buildroot}%{_datadir}/doc/

%clean
rm -rf %{buildroot}

%files 
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%dir %{_libdir}/gcm/
%dir %{_libdir}/gcm/Plugins/
%{_bindir}/gcm
%{_bindir}/gcmui
%{_libdir}/gcm/Plugins/*.so*
%{_libdir}/libgcm.so*
%{_libdir}/librtftohtml.so*
%{_datadir}/gnome/apps/Applications/Other/gcm.desktop
%{_datadir}/pixmaps/gcm/
%{_mandir}/man1/gcm.1*


%files devel
%defattr (-, root, root)
%doc doc/HACKING doc/*.html doc/*.png
%{_bindir}/gcm-config
%{_includedir}/libgcm/
%{_includedir}/librtftohtml/
%{_libdir}/gcm/Plugins/*.a
%{_libdir}/gcm/Plugins/*.la
%{_libdir}/libgcm.a
%{_libdir}/libgcm.la
%{_libdir}/librtftohtml.a
%{_libdir}/librtftohtml.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gcm-config.1*

%changelog
* Mon Dec 16 2002 Dag Wieers <dag@wieers.com>
- Initial package.
